<script>
 let = init_data = {$init_data};
  var detail = $("#detail").find(".detail");
  common.dspDetailData(init_data, detail);

  {*-- ここからjsでのデータ表示用 ---------------------------------------------------*}
  function doHeaderEnable(pmode) { {*pmode:H Header有効・D 明細有効*}
    let h = $("#headerTop");
    let d = $("#detailTop");
    let m = $("#funcMenu");
    if (pmode == "H") { {*Header有効*}
      h.removeClass("noevent");
      d.addClass("noevent");
      $(".Func2").removeClass("noevent");
      $(".Func5").addClass("noevent");
      $(".Func9").addClass("noevent");
      $(".Func12").removeClass("noevent");

      {*ヘッダー項目クリア*}
      {*ヘッダーフォーカス*}
      h.find(".keycd").focus();

    } else { {*Detail有効*}
      h.addClass("noevent");
      d.removeClass("noevent");
      $(".Func2").addClass("noevent");
      $(".Func5").removeClass("noevent");
      $(".Func9").removeClass("noevent");
      $(".Func12").removeClass("noevent");

      {*ヘッダー項目*}
      {*データ部フォーカス*}
      d.find(".pno")[0].focus();
    }
  }

  function clearDetail() {  {*クリア*}
    let frm = $("#headerTop");
    let container = frm.closest(".container");
    common.clearInputData(container);
    common.clearAllError();
    common.dspDetailData(init_data, detail);
    //common.setValue(frm.find(".cls"),'0');
    doHeaderEnable("H");
  }

  function clearMeisai() {
    $("#detail1 .detail").remove(); {*明細クリア*}
    $("#detail2 .detail").remove(); {*明細クリア*}
  }

  function dspDetail() { {*データ表示*}
    let frm = $("#headerTop");
    let detail = $("#detail").find(".detail");

    clearMeisai();  {*一旦クリア*}

    var el1 = "";
    var el2 = "";

    var headerData = [];
    var f = common.getInputData(frm);
    headerData.push(encodeJson(f));

    var sendData = {};
    sendData["header"] = headerData;

    common.postData(
      "./search.php"
      , sendData
      , function name(data) {
        var d = JSON.parse(data);
        console.log(d);
        common.dspDetailData(d[0], detail);
        doHeaderEnable("D")
      }
    )
  }


  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    common.setDetailHeight( $("#detail") );
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2 表示
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 廃止/取消
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      clearDetail();
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      $(".btn-reg-before").trigger("click");
    });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    // 初期表示
    //doHeaderEnable('D');
    $("title").html("{$header.title}");
    common.setValue($("#topPrgTitle"), "{$header.title}");

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){
      alert("登録しました");
      clearDetail();
    });

    $(document).on("click", ".btn-search-before", function(e) {
      console.log("click_search");

      var errflg = false;
      var frmh = $(this).closest(".contents").find(".header");

      if (stringUtil.isEmpty(frmh.find(".spktcd").val())) {
        errflg = true;
        common.addError(frmh.find(".spktcd"), "入力して下さい", null, true);
      }
      if (stringUtil.isEmpty(frmh.find(".jan").val())) {
        errflg = true;
        common.addError(frmh.find(".jan"), "入力して下さい", null, true);
      }

      if (errflg) {
        alert('エラーがあります');
      } else {
        dspDetail();
        //doHeaderEnable('D');
        //$(".headermenu").find(".btn-search").trigger("click");
        
      }
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var clschk = false;
      var frmh = $(this).closest(".contents").find(".header");
      var frmd = $("#detail");

      common.clearFormError(frmh);
      common.clearFormError(frmd);

      if (stringUtil.isEmpty(frmd.find(".pno").val())) {
        errflg = true;
        common.addError(frmd.find(".pno"), "入力して下さい", null, true);
      } else {
        var pno = new BigNumber(stringUtil.nvl0(common.delFigure(common.getValue(frmd.find(".pno"))),"0"));
        if(pno.eq(0)) { {*pno=0*}
          errflg = true;
          common.addError(frmd.find(".pno"), "差数を入力して下さい", null, true);
        } else if(pno.lt(0)) { {*pno<0*}
          errflg = true;
          common.addError(frmd.find(".pno"), "マイナスは入力できません", null, true);
        }

        var newpno3105 = new BigNumber(stringUtil.nvl0(common.delFigure(common.getValue(frmd.find(".newpno3105"))),"0"));
        var newpno3109 = new BigNumber(stringUtil.nvl0(common.delFigure(common.getValue(frmd.find(".newpno3109"))),"0"));
        if(newpno3105.lt(0) || newpno3109.lt(0)) {
          errflg = true;
          common.addError(frmd.find(".pno"), "修正後在庫がマイナスです", null, true);
        }

      }

      if (errflg) {
        alert('エラーがあります');
      } else {
        $(".headermenu").find(".btn-reg").trigger("click");
      }
    });

    //=== header ===
    $(document).on("focus", "#headerTop .dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });

    //=== body ===
    $(document).on("focus", "#detailTop .dummy", function(e) {
      $("#topmenu").find(".Func9").focus();
    });

    $(document).on("change", ".pno", function(e) {
      var frmh = $("#headerTop");
      var frmd = $("#detail");
      var orgpno3105 = new BigNumber(stringUtil.nvl0(common.delFigure(common.getValue(frmd.find(".orgpno3105"))),"0"));
      var orgpno3109 = new BigNumber(stringUtil.nvl0(common.delFigure(common.getValue(frmd.find(".orgpno3109"))),"0"));
      var pno = new BigNumber(stringUtil.nvl0(common.delFigure(common.getValue(frmd.find(".pno"))),"0"));

      if(common.getValue(frmh.find(".param1")) == '32') {
        pno = pno.times(-1);
      }

      var newpno3105 = orgpno3105.plus(pno);
      var newpno3109 = orgpno3109.minus(pno);

      common.setValue(frmd.find(".newpno3105"),common.addFigure(newpno3105.toString()));
      common.setValue(frmd.find(".newpno3109"),common.addFigure(newpno3109.toString()));
    });

    //=== footer ===

  });

</script>
